<?xml version="1.0"?>
<Rules>
  <Rule>
    <LookFor>~/bbs</LookFor>
    <SendTo>bbs/index.aspx</SendTo>
  </Rule>
  <Rule>
    <LookFor>~/</LookFor>
    <SendTo>default.aspx</SendTo>
  </Rule>
  <Rule>
    <LookFor>~/sysadmin</LookFor>
    <SendTo>sysadmin/index.aspx</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/bbs\/topic[-\/](.*?)t?([0-9]+)[\/?\.a-zA-Z]*</LookFor>
    <SendTo>$1/bbs/topic.aspx?tid=$3</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/bbs\/topic-(\d+)-(\d+)\.[\w]{2,5}</LookFor>
    <SendTo>$1/topic.aspx?tid=$2&amp;page=$3</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/bbs\/board[-\/](.*?)t?([0-9]+)[\/?\.a-zA-Z]*</LookFor>
    <SendTo>$1/bbs/board.aspx?bid=$3</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/bbs\/board-(\d+)-(\d+)\.[\w]{2,5}</LookFor>
    <SendTo>$1/board.aspx?bid=$2&amp;page=$3</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/ProductsCategory[-\/](.*?)t?([0-9]+)[\/?\.a-zA-Z]*</LookFor>
    <SendTo>/\/ProductsCategory.aspx?CategoryId=$3</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/ProductsArray-(\d+)\.[\w]{2,5}</LookFor>
    <SendTo>/ProductsArray.aspx?CategoryId=$2&amp;page=1</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/ProductsArray-(\d+)-(\d+)\.[\w]{2,5}</LookFor>
    <SendTo>/ProductsArray.aspx?CategoryId=$2&amp;page=$3</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/ProductsPackageArray-(\d+)\.[\w]{2,5}</LookFor>
    <SendTo>/ProductsPackageArray.aspx?PackageId=$2&amp;page=1</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/ProductsPackageArray-(\d+)-(\d+)\.[\w]{2,5}</LookFor>
    <SendTo>/ProductsPackageArray.aspx?PackageId=$2&amp;page=$3</SendTo>
  </Rule>
   <Rule>
    <LookFor>(.*)\/BrandProductsArray-(\d+)\.[\w]{2,5}</LookFor>
    <SendTo>/BrandProductsArray.aspx?brandId=$2&amp;page=1</SendTo>
  </Rule> 
   <Rule>
    <LookFor>(.*)\/BrandProductsArray-(\d+)-(\d+)\.[\w]{2,5}</LookFor>
    <SendTo>/BrandProductsArray.aspx?brandId=$2&amp;page=$3</SendTo>
  </Rule> 
  <Rule>
    <LookFor>(.*)\/ProductContent[-\/](.*?)t?([0-9]+)[\/?\.a-zA-Z]*</LookFor>
    <SendTo>/ProductContent.aspx?xmlcode=$3</SendTo>
  </Rule>
  <Rule>			
    <LookFor>(.*)\/ArticlesArray-(\d+)\.[\w]{2,5}</LookFor>
    <SendTo>/ArticlesArray.aspx?CategoryId=$2&amp;page=1</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/ArticlesArray-(\d+)-(\d+)\.[\w]{2,5}</LookFor>
    <SendTo>/ArticlesArray.aspx?categoryid=$2&amp;page=$3</SendTo>
  </Rule>
  <Rule>			
    <LookFor>(.*)\/WanDotArray-(\d+)\.[\w]{2,5}</LookFor>
    <SendTo>/WanDotArray.aspx?CategoryId=$2&amp;page=1</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/WanDotArray-(\d+)-(\d+)\.[\w]{2,5}</LookFor>
    <SendTo>/WanDotArray.aspx?categoryid=$2&amp;page=$3</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/ArticleContent[-\/](.*?)t?([0-9]+)[\/?\.a-zA-Z]*</LookFor>
    <SendTo>/ArticleContent.aspx?xmlcode=$3</SendTo>
  </Rule>
  <Rule>
    <LookFor>(.*)\/PageContent[-\/](.*?)t?([0-9]+)[\/?\.a-zA-Z]*</LookFor>
    <SendTo>/PageContent.aspx?xmlcode=$3</SendTo>"
  </Rule>
  <Rule>
    <LookFor>(.*)\/PageContent[-\/](.*?)t?(\w+)[\/?\.a-zA-Z]*</LookFor>
    <SendTo>/PageContent.aspx?mark=$3</SendTo>
  </Rule>
</Rules>